Index: trunk/cfg/encoder_mvd.cfg
===================================================================
--- trunk/cfg/encoder_mvd.cfg	(revision 42)
+++ trunk/cfg/encoder_mvd.cfg	(revision 56)
@@ -1,39 +1,37 @@
 #======== File I/O =====================
-InputFile_0                   : BookArrival_256x192\video\BookArrival_256x192_15_08.yuv
-InputFile_1                   : BookArrival_256x192\video\BookArrival_256x192_15_10.yuv
-InputFile_2                   : BookArrival_256x192\video\BookArrival_256x192_15_06.yuv
-
-DepthInputFile_0              : BookArrival_256x192\depth\depth_BookArrival_256x192_15_08.yuv
-DepthInputFile_1              : BookArrival_256x192\depth\depth_BookArrival_256x192_15_10.yuv
-DepthInputFile_2              : BookArrival_256x192\depth\depth_BookArrival_256x192_15_06.yuv
-
-ReconFile_0                   : Output_Enc_0.yuv
-ReconFile_1                   : Output_Enc_1.yuv
-ReconFile_2                   : Output_Enc_2.yuv
-
-DepthReconFile_0              : Output_Depth_Enc_0.yuv
-DepthReconFile_1              : Output_Depth_Enc_1.yuv
-DepthReconFile_2              : Output_Depth_Enc_2.yuv
-
-BitstreamFile                 : BitStreamMV.bin
+InputFile_0               : org_0.yuv                              # video input file for view 0
+InputFile_1               : org_1.yuv                              # video input file for view 1
+InputFile_2               : org_2.yuv                              # video input file for view 2
+
+DepthInputFile_0          : org_depth_0.yuv                        # depth input file for view 0
+DepthInputFile_1          : org_depth_1.yuv                        # depth input file for view 1
+DepthInputFile_2          : org_depth_2.yuv                        # depth input file for view 2
+
+ReconFile_0               : rec_0.yuv                              # video output file for view 0
+ReconFile_1               : rec_1.yuv                              # video output file for view 1
+ReconFile_2               : rec_2.yuv                              # video output file for view 2
+
+DepthReconFile_0          : rec_depth_0.yuv                        # depth output file for view 0
+DepthReconFile_1          : rec_depth_1.yuv                        # depth output file for view 1
+DepthReconFile_2          : rec_depth_2.yuv                        # depth output file for view 2
+
+BitstreamFile             : stream.bit                             # bitstream file
+
 
 #====== General Coding Parameters ======
 NumberOfViews                 : 3           # Number of views to be coded
 CodeDepthMaps                 : 1           # Encode depth maps
-FramesToBeEncoded             : 5           # Number of frames to be coded
-SourceWidth                   : 256         # Input  frame width
-SourceHeight                  : 192         # Input  frame height
-FrameRate                     : 15          # Frame Rate per second
+FramesToBeEncoded             : 17          # Number of frames to be coded
+SourceWidth                   : 1024        # Input  frame width
+SourceHeight                  : 768         # Input  frame height
+FrameRate                     : 30          # Frame Rate per second
 FrameSkip                     : 0           # Number of frames to be skipped in input
 InputBitDepth                 : 8           # Input bit-depth
 OutputBitDepth                : 8           # Output bit-depth
-InternalBitDepth              : 10          # Internal bit-depth
-FCO                           : 0
-3DVCodingOrder                : T0D0D1D2T1T2
-
+InternalBitDepth              : 8          # Internal bit-depth
 
 #====== Camera Parameters ======
-CameraParameterFile           : BookArrival_256x192\cam_bookarrival.cfg   # Camera parameter file
-BaseViewCameraNumbers         : 8 10 6                                    # Cameras in coding order [only NumberOfViews values are used]
+CameraParameterFile           : ../seq/Balloons/cam_balloons.cfg   # Camera parameter file
+BaseViewCameraNumbers         : 3 1 5                                    # Cameras in coding order [only NumberOfViews values are used]
 CodedCamParsPrecision         : 5                                         # precision for camera parameter coding (max. disparity error = 2^(-x)) [default: 2]
 
@@ -42,31 +40,53 @@
 MaxCUHeight                   : 64          # Maximum coding unit height in pixel
 MaxPartitionDepth             :  4          # Maximum coding unit depth
-
-QuadtreeTULog2MaxSize         :  5          # Log2 of maximum transform size for
-QuadtreeTULog2MinSize         :  2          # Log2 of minimum transform size for
+QuadtreeTULog2MaxSize         : 5                                  # Log2 of maximum transform size for quadtree-based TU coding (2...6)
+QuadtreeTULog2MinSize         : 2                                  # Log2 of minimum transform size for quadtree-based TU coding (2...6)
 QuadtreeTUMaxDepthInter       :  3
 QuadtreeTUMaxDepthIntra       :  3
 
 #======== Coding Structure =============
+IntraPeriod                   : 24          # Period of I-Frame ( -1 = only first)
+DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR
 GOPSize                       : 8           # GOP Size (number of B slice = GOPSize-1)
-RateGOPSize                   : 8           # GOP size used for QP assignment
-LowDelayCoding                : 0           # Low-delay coding structure
-GOPFormatString               : IL0PL3(V0)_0*n{ *2{ PL0(-8)PL3(-8,V0)_7 BL1(-4;+4)BL4(-4,V0;+4)_3 BL2(-2;+2,+6)BL5(-2,V0;+2,+6)_1 BL2(-2,-6;+2)BL5(-2,-6,V0;+2)_5 BL3(-1;+1,+3)BL6(-1,V0;+1,+3)_0 BL3(-1,-3;+1,+5)BL6(-1,-3,V0;+1,+5)_2 BL3(-1,-5;+1,+3)BL6(-1,-5,V0;+1,+3)_4 BL3(-1,-3;+1)BL6(-1,-3,V0;+1)_6 }*1{ IL0PL3(V0)_7 BL1(-4;+4)BL4(-4,V0;+4)_3 BL2(-2;+2,+6)BL5(-2,V0;+2,+6)_1 BL2(-2,-6;+2)BL5(-2,-6,V0;+2)_5 BL3(-1;+1,+3)BL6(-1,V0;+1,+3)_0 BL3(-1,-3;+1,+5)BL6(-1,-3,V0;+1,+5)_2 BL3(-1,-5;+1,+3)BL6(-1,-5,V0;+1,+3)_4 BL3(-1,-3;+1)BL6(-1,-3,V0;+1)_6 } }
-CodedPictureStoreSize         : 9
-TemporalLayerQPOffset_L0      : 0           # QP offset for layer 0
-TemporalLayerQPOffset_L1      : 1           # QP offset for layer 1
-TemporalLayerQPOffset_L2      : 2           # QP offset for layer 2
-TemporalLayerQPOffset_L3      : 3           # QP offset for layer 3
-TemporalLayerQPOffset_L4      : 4           # QP offset for layer 4
-TemporalLayerQPOffset_L5      : 5           # QP offset for layer 5
-TemporalLayerQPOffset_L6      : 6           # QP offset for layer 6
-TemporalLayerQPOffset_L7      : 7           # QP offset for layer 7
+# V0        Type POC QPoffset QPfactor temporal_id #ref_pics_active ref_pic #ref_pics reference pictures predict deltaRIdx-1 deltaRPS #ref_idcs reference idcs  #IV_ref_pics  IV reference pics  IV ref list pos
+Frame1:     B    8   1        0.442    0           4                1       4         -8 -10 -12 -16     0                                                      0 
+Frame2:     B    4   2        0.3536   0           2                1       3         -4 -6  4           1       0           4        5         1 1 0 0 1       0
+Frame3:     B    2   3        0.3536   0           2                1       4         -2 -4  2 6         1       0           2        4         1 1 1 1         0
+Frame4:     B    1   4        0.68     0           2                0       4         -1  1  3 7         1       0           1        5         1 0 1 1 1       0
+Frame5:     B    3   4        0.68     0           2                0       4         -1 -3  1 5         1       0          -2        5         1 1 1 1 0       0
+Frame6:     B    6   3        0.3536   0           2                1       4         -2 -4 -6 2         1       0          -3        5         1 1 1 1 0       0
+Frame7:     B    5   4        0.68     0           2                0       4         -1 -5  1 3         1       0           1        5         1 0 1 1 1       0
+Frame8:     B    7   4        0.68     0           2                0       4         -1 -3 -7 1         1       0          -2        5         1 1 1 1 0       0
+# V1        Type POC QPoffset QPfactor temporal_id #ref_pics_active ref_pic #ref_pics reference pictures predict deltaRIdx-1 deltaRPS #ref_idcs reference idcs  #IV_ref_pics  IV reference pics  IV ref_list_0_pos  IV_ref_list_1_pos
+FrameI_v1:  P    0   3        0.442    0           1                1       0                            0                                                      1             -1                 1                  0  
+Frame1_v1:  B    8   4        0.442    0           4                1       4         -8 -10 -12 -16     0                                                      1             -1                 2                  0  
+Frame2_v1:  B    4   5        0.3536   0           3                1       3         -4 -6  4           1       0           4        5         1 1 0 0 1       1             -1                 2                  0  
+Frame3_v1:  B    2   6        0.3536   0           3                1       4         -2 -4  2 6         1       0           2        4         1 1 1 1         1             -1                 2                  0  
+Frame4_v1:  B    1   7        0.68     0           3                0       4         -1  1  3 7         1       0           1        5         1 0 1 1 1       1             -1                 2                  0  
+Frame5_v1:  B    3   7        0.68     0           3                0       4         -1 -3  1 5         1       0          -2        5         1 1 1 1 0       1             -1                 3                  0  
+Frame6_v1:  B    6   6        0.3536   0           3                1       4         -2 -4 -6 2         1       0          -3        5         1 1 1 1 0       1             -1                 3                  0  
+Frame7_v1:  B    5   7        0.68     0           3                0       4         -1 -5  1 3         1       0           1        5         1 0 1 1 1       1             -1                 3                  0  
+Frame8_v1:  B    7   7        0.68     0           3                0       4         -1 -3 -7 1         1       0          -2        5         1 1 1 1 0       1             -1                 3                  0  
+# V2        Type POC QPoffset QPfactor temporal_id #ref_pics_active ref_pic #ref_pics reference pictures predict deltaRIdx-1 deltaRPS #ref_idcs reference idcs  #IV_ref_pics  IV reference pics  IV_ref_list_0_pos  IV_ref_list_1_pos
+FrameI_v2:  P    0   3        0.442    0           1                1       0                            0                                                      1             -2                 1                  0  
+Frame1_v2:  B    8   4        0.442    0           4                1       4         -8 -10 -12 -16     0                                                      1             -2                 2                  0  
+Frame2_v2:  B    4   5        0.3536   0           3                1       3         -4 -6  4           1       0           4        5         1 1 0 0 1       1             -2                 2                  0  
+Frame3_v2:  B    2   6        0.3536   0           3                1       4         -2 -4  2 6         1       0           2        4         1 1 1 1         1             -2                 2                  0  
+Frame4_v2:  B    1   7        0.68     0           3                0       4         -1  1  3 7         1       0           1        5         1 0 1 1 1       1             -2                 2                  0  
+Frame5_v2:  B    3   7        0.68     0           3                0       4         -1 -3  1 5         1       0          -2        5         1 1 1 1 0       1             -2                 3                  0  
+Frame6_v2:  B    6   6        0.3536   0           3                1       4         -2 -4 -6 2         1       0          -3        5         1 1 1 1 0       1             -2                 3                  0  
+Frame7_v2:  B    5   7        0.68     0           3                0       4         -1 -5  1 3         1       0           1        5         1 0 1 1 1       1             -2                 3                  0  
+Frame8_v2:  B    7   7        0.68     0           3                0       4         -1 -3 -7 1         1       0          -2        5         1 1 1 1 0       1             -2                 3                  0  
+
+ListCombination               : 1           # Use combined list for uni-prediction in B-slices
+DisableInter4x4               : 1           # Disable Inter4x4 (1: Disable Inter4x4, 0: Enable Inter4x4)
 
 #=========== Motion Search =============
 FastSearch                    : 1           # 0:Full search  1:EPZS
 SearchRange                   : 96          # (0: Search range is a Full frame)
-BipredSearchRange             : 4           # Search range for bipred refinement
+BipredSearchRange             : 4           # Search range for bi-prediction refinement
 HadamardME                    : 1           # Use of hadamard measure for fractional ME
 FEN                           : 1           # Fast encoder decision
+FDM                           : 1           # Fast Decision for Merge RD cost
 
 #============= VSO =============
@@ -74,34 +94,56 @@
 VSOConfig                     : [cx0 B(cc1) I(s0.5)][cx1 B(oo0) B(oo2) I(s0.5 s1.5)][cx2 B(cc1) I(s1.5)]  #VSO Configuration (3-View) coding order 1 0 2 oder 1 2 0
 #VSOConfig                    : [cx0 B(cc1) I(s0.5)][cx1 B(oo0) I(s0.5)]                                  #VSO Configuration (2-View) coding order 1 0
-#VSOConfig                    : [ox0 B(cc1) I(s0.5)][cx1 B(oo0) B(oo2) I(s0.5 s1.5)][ox2 B(cc1) I(s1.5)]  #VSO Configuration (3-View) coding order 1 0 2 oder 1 2 0; FCO: 1
-#VSOConfig                    : [ox0 B(cc1) I(s0.5)][cx1 B(oo0) I(s0.5)]                                  #VSO Configuration (2-View) coding order 1 0; FCO 1
-
 
 #======== Quantization =============
-QP                            : 32 34       # Quantization parameter(0-51), second QP for Depth
+QP                            : 25 30       # Quantization parameter(0-51), second QP for Depth
 MaxDeltaQP                    : 0           # CU-based multi-QP optimization
+MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
 DeltaQpRD                     : 0           # Slice-based multi-QP optimization
 RDOQ                          : 1  1        # RDOQ
+ChromaQpOffset                : 0           # ChromaQPOffset
+ChromaQpOffset2nd             : 0           # ChromaQPOffset2nd
 
 #=========== Entropy Coding ============
-SymbolMode                    : 1           # 0:LCEC, 1:CABAC
 
 #=========== Deblock Filter ============
-LoopFilterDisable             : 0           # Disable loop filter in slice header (0=Filter, 1=No Filter)
-LoopFilterAlphaC0Offset       : 0           # Range: -26 ~ 26
-LoopFilterBetaOffset          : 0           # Range: -26 ~ 26
+DeblockingFilterControlPresent: 0           # Dbl control params present (0=not present, 1=present)
+LoopFilterOffsetInAPS         : 0           # Dbl params in APS or SliceHeader (0=SliceHeader, 1=APS)
+LoopFilterDisable             : 0 1          # Disable deblocking filter in slice header (0=Filter, 1=No Filter)
+LoopFilterBetaOffset_div2     : 0           # Range: -13 ~ 13
+LoopFilterTcOffset_div2       : 0           # Range: -13 ~ 13
 
 #=========== Coding Tools =================
-MRG                           : 1           # Merge mode                      (0: OFF, 1: ON)
-ALF                           : 1           # Adaptive loop filter  (0: OFF, 1: ON)
+SAO                           : 1 0         # Sample adaptive offset  (0: OFF, 1: ON)
+ALF                           : 0           # Adaptive loop filter  (0: OFF, 1: ON)
 ALFEncodePassReduction        : 0           # Reduce ALF encoding passes (0:Original 16-pass, 1: 1-pass, 2: 2-pass encoding)
+LMChroma                      : 0           # Chroma from luma intra prediction mode (0: OFF, 1: ON)
+NSQT                          : 0           # Non-square transforms (0: OFF, 1: ON)
+AMP                           : 0           # Asymmetric motion partitions (0: OFF, 1: ON)
+ALFMaxNumFilter               : 16          # ALF Max Number Filters per picture
+ALFParamInSlice               : 0           # ALF params in SliceHeader or APS (0=APS, 1=SliceHeader)
+ALFPicBasedEncode             : 1           # ALF LCU-based or picture-based encoding (0: LCU-based, 1: Picture-based)  
+SAOInterleaving               : 0           # SAO interleaving flag (0: SAO parameter in APS, 1: SAO parameter in slice data) 
+
+#========== Depth Coding Tools ==========
+DMM                           : 1           # use depth intra modes (wedgelets)
+MVI                           : 1
+
+#====== multiview mv/res prediction ======
+PredDepthMapGen               : 1           # generation of predicted depth maps (0:off, 1:using coded MVs, 2:using coded depth, 3:coded MVS for non-random-access, coded depth for random access)
+MultiviewMvPred               : 7           # usage for predicted depth maps (sum of the following: 1:inter-view, 2:inter, 4:merge)
+MultiviewMvRegMode            : 1           # regularization (using original depth maps) for inter-view motion estimation
+MultiviewMvRegLambdaScale     : 1.0         # lambda scale factor for inter-view motion vector regularization
+MultiviewResPred              : 1           # multiview residual prediction
 
 #============ Slices ================
+SliceGranularity         : 0                # Slice granularity relative the LCU size
 SliceMode                : 0                # 0: Disable all slice options.
                                             # 1: Enforce maximum number of LCU in an slice,
                                             # 2: Enforce maximum number of bytes in an 'slice'
+                                            # 3: Enforce maximum number of tiles in a slice
 SliceArgument            : 1500             # Argument for 'SliceMode'.
-                                            # If SliceMode==1 it represents max. LCU per slice.
+                                            # If SliceMode==1 it represents max. SliceGranularity-sized blocks per slice.
                                             # If SliceMode==2 it represents max. bytes per slice.
+                                            # If SliceMode==3 it represents max. tiles per slice.
 
 LFCrossSliceBoundaryFlag : 1                # In-loop filtering, including ALF and DB, is across or not across slice boundary.
@@ -112,23 +154,52 @@
                                             # 2: Enforce maximum number of bins/bits in an 'entropy slice'
 EntropySliceArgument     : 180000           # Argument for 'EntropySliceMode'.
-                                            # If EntropySliceMode==1 it represents max. LCU per entropy slice.
+                                            # If EntropySliceMode==1 it represents max. SliceGranularity-sized blocks per slice.
                                             # If EntropySliceMode==2 it represents max. bins per entropy slice.
-DMM                           : 1           # Depth model modes intra luma (0: OFF, 1: ON)
-MVI                           : 1           # Motion vector inheritance for depth map coding (0: OFF, 1: ON)
-
-#====== multiview mv/res prediction ======
-PredDepthMapGen           : 1           # generation of predicted depth maps (0:off, 1:using coded MVs, 2:using coded depth, 3:coded MVS for non-random-access, coded depth for random access)
-MultiviewMvPred           : 7           # usage for predicted depth maps (sum of the following: 1:inter-view, 2:inter, 4:merge)
-MultiviewMvRegMode        : 1           # regularization (using original depth maps) for inter-view motion estimation
-MultiviewMvRegLambdaScale : 1.0         # lambda scale factor for inter-view motion vector regularization
-MultiviewResPred          : 1           # inter-view resiudal prediction (0:off, 1:on)
-
-#====== Qp Change ======
-QpChangeFrame             : 0           # start frame for QP change (note: given in coding order, not as POC value)
-QpChangeOffsetVideo       : 0           # QP change offset for video
-QpChangeOffsetDepth       : 0           # QP change offset for depth
-
-#====== InterViewSkip ==
-InterViewSkip             : 0
-InterViewSkipLambdaScale  : 8
-
+
+#============ PCM ================
+PCMEnabledFlag                      : 0                # 0: No PCM mode
+PCMLog2MaxSize                      : 5                # Log2 of maximum PCM block size.
+PCMLog2MinSize                      : 3                # Log2 of minimum PCM block size.
+PCMInputBitDepthFlag                : 1                # 0: PCM bit-depth is internal bit-depth. 1: PCM bit-depth is input bit-depth.
+PCMFilterDisableFlag                : 0                # 0: Enable loop filtering on I_PCM samples. 1: Disable loop filtering on I_PCM samples.
+
+#============ Tiles ================
+TileInfoPresentFlag                 : 1                # 0: tiles parameters are NOT present in the PPS
+                                                       # 1: tiles parameters are present in the PPS 
+UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+                                                       # 1: the column and row boundaries are distributed uniformly
+NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
+ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
+RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+
+TileLocationInSliceHeaderFlag       : 0                # If TileBoundaryIndependenceIdc==0 flag is ignored.
+                                                       # 1: Enable writing tile location information to slice header.
+                                                       # 0: Disable writing tile location information to slice header.
+TileMarkerFlag                    : 1                  # If TileBoundaryIndependenceIdc==0 flag is ignored.
+                                                       # 1: Enable writing tile markers.
+                                                       # 0: Disable writing tile markers.
+MaxTileMarkerEntryPoints          : 4                  # Maximum number of uniformly-spaced tile entry points (using tile markers). 
+                                                       # Default=4. If number of tiles < MaxTileMarkerEntryPoints then all tiles have entry points.
+TileControlPresentFlag            : 1                  # 0: tiles behavior control parameters are NOT present in the PPS
+                                                       # 1: tiles behavior control parameters are present in the PPS
+LFCrossTileBoundaryFlag           : 1                  # In-loop filtering is across or not across tile boundary.
+                                                       # 0:not across, 1: across                                                       
+
+#============ WaveFront ================
+WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+                                                       # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
+WaveFrontFlush                      : 0                # 0: No CABAC resets are performed.
+                                                       # 1: A CABAC reset is performed at the end of each LCU line.
+WaveFrontSubstreams                 : 1                # >0: This many substreams per slice (or per tile if TileBoundaryIndependenceIdc=1) will be produced.
+
+#=========== Quantization Matrix =================
+ScalingList                   : 0                      # ScalingList 0 : off, 1 : default, 2 : file read
+ScalingListFile               : scaling_list.txt       # Scaling List file name. If file is not exist, use Default Matrix.
+
+#============ Lossless ================
+LosslessCuEnabled                   : 0                # 1: Set "qpprime_y_zero_transquant_bypass_flag=1" and enable the lossless mode as well as the RD-based mode selection process.
+
+### DO NOT ADD ANYTHING BELOW THIS LINE ###
+### DO NOT DELETE THE EMPTY LINE BELOW ###
+
